Thread subject: sK1 Project :: Compilation

Posted by intialonso on 20-10-2011 01:27
#1

Hi, what do I need for compile Uniconvertor in Ubuntu 11.10?

What do you think about setting a PPA at launchpad for updates?

Thanks for this great software! Keep on!

Posted by intialonso on 20-10-2011 13:00
#2

Well, I will answer myself.

To compile Uniconvertor 1.1.5 in Ubuntu 11.10 Oneiric, you will need:

Code
sudo apt-get install build-essential python-all-dev liblcms1-dev libjpeg62-dev libpaps-dev




Then you can run:

Code
python setup.py bdist_deb




ANd you will get a .DEB that you can install using GDEBI.

Dont forget to uninstall any previous Uniconvertor version that you have on your system.